Redmine - Feature #8745

Document all REST API "include” possibilities
2011-07-05 01:20 - Bevan Rudge

Status: Closed Start date: 2011-07-05
Priority: Normal Due date:

Assignee: Jean-Baptiste Barth % Done: 0%
Category: Documentation Estimated time: 0.00 hour

Target version:

Resolution: Fixed

Description
There was at least one undocumented API feature for the Users REST API:

GET /users/3.json?include=memberships

Returns the details about user ID 3, and additional detail about the user's project roles and memberships. There are probably
other such undocumented features like this.

Are there other such undocumented features of the Users REST API or other REST APIs?

I am marking this high because it is an easy fix (documentation).

History

#1 - 2011-07-05 01:22 - Bevan Rudge

#7420 and #4968 are related to this issue in that they were seeking this feature.

#2 - 2011-07-05 01:31 - Bevan Rudge

There is a corresponding issue in the Drupal Redmine API module at drupal.org/node/1209126

#3 - 2011-08-29 10:01 - Etienne Massip

- Subject changed from Undocumented API features to Document all REST APl "include" possibilities
- Category changed from REST API to Documentation

- Priority changed from High to Normal

- Affected version (unused) changed from 1.1.2 to 1.2.1

- Affected version changed from 1.1.2to 1.2.1

#4 - 2011-08-29 10:01 - Etienne Massip

- Tracker changed from Defect to Feature

#5 - 2013-05-06 22:50 - Jean-Baptiste Barth
- Status changed from New to Closed
- Assignee set to Jean-Baptiste Barth

- Resolution set to Fixed

Of course the documentation may have tiny holes like this. We'd like at least the REST API to be as accurate as possible so that people can build 3rd
party tools on it. This is fixed for this one (already was, but | added a tiny explanation). Don't hesitate to open other requests if you see other things
missing (and o
